Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STObjectReference class documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

# Software documentation for the STObjectReference class

## STObjectReference : NSObject

> Declared in:
>   StepTalk/STObjectReference.h

Description forthcoming.

Instance Variables

### Method summary

- -identifier
- -initWithIdentifier:target:
- -object
- -setObject:
- -target

### identifier

- (NSString*) identifier;
Description forthcoming.

### initWithIdentifier: target:

- (id) initWithIdentifier: (NSString*)ident target: (id)anObject;
Description forthcoming.

### object

- (id) object;
Description forthcoming.

### setObject:

- (void) setObject: (id)anObject;
Description forthcoming.

### target

- (id) target;
Description forthcoming.

## Instance Variables for STObjectReference Class

### identifier

@protected NSString* identifier;
Description forthcoming.

### target

@protected id target;
Description forthcoming.

Up